## mediawiki 1.7~dapper1

=== debian/changelog ===
mediawiki (1:1.7~dapper1) dapper-backports; urgency=low

  * Automated backport upload; no source changes.

 -- John Dong <john.dong@gmail.com>  Fri,  1 Dec 2006 13:55:40 +0000

mediawiki (1:1.7) unstable; urgency=low

  * Initial Release

 -- Romain Beauxis <toots@rastageeks.org>  Mon,  6 Nov 2006 15:36:44 +0100
