=== debian/control ===
Source: mediawiki
Section: web
Priority: optional
Maintainer: Mediawiki Maintenance Team <pkg-mediawiki-devel@lists.alioth.debian.org>
Uploaders: Marc Dequènes (Duck) <Duck@DuckCorp.org>, Romain Beauxis <toots@rastageeks.org>, Arnaud Cornet <arnaud.cornet@gmail.com>
Build-Depends: cdbs (>= 0.4.23-1.1), debhelper (>= 5)
Standards-Version: 3.7.2

Package: mediawiki
Architecture: all
Depends: mediawiki1.7, mediawiki1.7-math
Description: website engine for collaborative work
 MediaWiki is a particular wiki engine (a program to easily
 create a website which can be edited in a collaborative
 maner). It is designed to handle heavy websites containing
 library-like documents : users can upload images/sounds,
 multilingual support, TOC autogen, ISBN links, ...
 Moreover, it keeps track of changes, so you can view diffs,
 revert, and receive notifies. This system has many other
 features and can easily be extended.
 .
 MediaWiki is the underlying wiki engine used by the famous
 WikiPedia site (http://www.wikipedia.org/).
 .
 This package provides the latest mediawiki package available
 in Debian, along with the math extension.
 .
  Homepage: http://www.mediawiki.org/
