## mediawiki 1.7~edgy1

=== debian/changelog ===
mediawiki (1:1.7~edgy1) edgy-backports; urgency=low

  * Automated backport upload; no source changes.

 -- John Dong <john.dong@gmail.com>  Fri,  1 Dec 2006 13:55:46 +0000
