## mediawiki 1.10

=== debian/changelog ===
mediawiki (1:1.10) unstable; urgency=low

  * Switched to mediawiki1.10
  * Mediawiki1.10 recommends mediawiki-math (Closes: #428021)

 -- Romain Beauxis <toots@rastageeks.org>  Tue, 10 Jul 2007 19:29:01 +0200

mediawiki (1:1.9) unstable; urgency=low

  * Switched to mediawiki1.9, closes: #392932
  * Corrected typo in control, closes: #414121
  * Seperated -math extension to a single package, closes: #401714

 -- Romain Beauxis <toots@rastageeks.org>  Thu, 12 Apr 2007 17:02:05 +0200
