=== debian/control ===
Source: mediawiki
Section: web
Priority: optional
Maintainer: MediaWiki Maintenance Team <pkg-mediawiki-devel@lists.alioth.debian.org>
Uploaders: Marc Dequènes (Duck) <Duck@DuckCorp.org>, Romain Beauxis <toots@rastageeks.org>, Arnaud Cornet <arnaud.cornet@gmail.com>
Build-Depends: cdbs (>= 0.4.23-1.1), debhelper (>= 5)
Standards-Version: 3.7.2

Package: mediawiki
Architecture: all
Depends: mediawiki1.10
Description: website engine for collaborative work
 MediaWiki is a wiki engine (a program for creating a collaboratively
 edited website). It is designed to handle heavy websites containing
 library-like document collections, and supports user uploads of
 images/sounds, multilingual content, TOC autogeneration, ISBN links,
 etc.
 .
 Moreover, it keeps track of changes, so users can receive
 notifications, view diffs and revert edits. This system has many
 other features and can easily be extended.
 .
 This package provides the latest mediawiki package available
 in Debian. If you want to add math extension, you may install
 mediawiki-math.
 .
  Homepage: http://www.mediawiki.org/

Package: mediawiki-math
Architecture: all
Depends: mediawiki1.10-math
Description: website engine for collaborative work -- math extension
 MediaWiki is a wiki engine (a program for creating a collaboratively
 edited website). It is designed to handle heavy websites containing
 library-like document collections, and supports user uploads of
 images/sounds, multilingual content, TOC autogeneration, ISBN links,
 etc.
 .
 Moreover, it keeps track of changes, so users can receive
 notifications, view diffs and revert edits. This system has many
 other features and can easily be extended.
 .
 This package provides the latest mediawiki math extension.
 .
  Homepage: http://www.mediawiki.org/
