=== debian/changelog ===
mediawiki (1:1.15.5-4) unstable; urgency=low

  [ Thorsten Glaser ]
  * debian/patches/fix_invalid_sql.patch: new (Closes: #615983)

  [ Jonathan Wiltshire ]
  * Security fixes from upstream (Closes: #650434):
    CVE-2011-4360 - page titles on private wikis could be exposed
    bypassing different page ids to index.php
    CVE-2011-4361 - action=ajax requests were dispatched to the
    relevant function without any read permission checks being done

 -- Jonathan Wiltshire <jmw@debian.org>  Wed, 30 Nov 2011 22:42:52 +0000

mediawiki (1:1.15.5-3) unstable; urgency=high

  [ Thorsten Glaser ]
  * debian/patches/fix_datetime.patch: new, convert argument into
    the format expected by other methods, fixes date/time output
    in e.g. the News/RSS extensions

  [ Jonathan Wiltshire ]
  * CVE-2011-0047: Protect against a CSS injection vulnerability
    (closes: #611787)
  * Update my email address

 -- Jonathan Wiltshire <jmw@debian.org>  Sun, 06 Feb 2011 15:53:48 +0000

mediawiki (1:1.15.5-2) testing-security; urgency=high

  * CVE-2011-0003: Protect against clickjacking by sending the
    X-Frame-Options header in all pages (except normal page views
    and a few selected special pages). Patch as released by upstream

 -- Jonathan Wiltshire <debian@jwiltshire.org.uk>  Tue, 04 Jan 2011 22:39:26 +0000

mediawiki (1:1.15.5-1) unstable; urgency=high

  [ Thorsten Glaser ]
  * debian/patches/suppress_warnings.patch: new, suppress warnings
    about session_start() being called twice also in the PHP error
    log, not just MediaWiki’s, for example run from FusionForge

  [ Jonathan Wiltshire ]
  * New upstream security release:
    - correctly set caching headers to prevent private data leakage
         (closes: #590660, LP: #610782)
    - fix XSS vulnerability in profileinfo.php
         (closes: #590669, LP: #610819)

 -- Jonathan Wiltshire <debian@jwiltshire.org.uk>  Wed, 28 Jul 2010 12:23:04 +0100

mediawiki (1:1.15.4-2) unstable; urgency=low

  [ Thorsten Glaser ]
  * debian/control: add Vcs-SVN and Vcs-Browser

  [ Jonathan Wiltshire ]
  * debian/source/format: Switch to source format 3.0 (quilt)
  * debian/rules: Drop CDBS quilt logic
  * debian_specific_config.patch: Don't just redefine MW_INSTALL_PATH,
    remove the original definition (LP: #406358)
  * debian/README.source: document use of quilt and format 3.0 (quilt)
  * New patch backup_documentation.patch improves documentation of
    maintenance/dumpBackup.php (closes: #572355)
  * Standards version 3.9.0 (no changes)

 -- Jonathan Wiltshire <debian@jwiltshire.org.uk>  Tue, 29 Jun 2010 14:20:35 +0100

mediawiki (1:1.15.4-1) unstable; urgency=high

  [ Jonathan Wiltshire ]
  * New upstream security release (closes: #585918).
  * CVE-2010-1647:
    Fix a cross-site scripting (XSS) vulnerability which allows
    remote attackers to inject arbitrary web script or HTML via crafted
    Cascading Style Sheets (CSS) strings that are processed as script by
    Internet Explorer.
  * CVE-2010-1648:
    Fix a cross-site request forgery (CSRF) vulnerability in the login interface
    which allows remote attackers to hijack the authentication of users for
    requests that (1) create accounts or (2) reset passwords, related to the
    Special:Userlogin form.

  [ Romain Beauxis ]
  * Put debian's package version in declared version.
    Should help sysadmins to keep track of installed 
    versions, in particular with regard to security
    updates. 
  * Added Jonathan Wiltshire to uploaders.
  * Do not clan math dir if it does not exist (for instance
    when running clean from SVN).

 -- Romain Beauxis <toots@rastageeks.org>  Mon, 21 Jun 2010 23:41:29 +0200

mediawiki (1:1.15.3-1) unstable; urgency=high

  * New upstream release.
  * Fixes security issue:
  "MediaWiki was found to be vulnerable to login CSRF. An attacker who
   controls a user account on the target wiki can force the victim to log
   in as the attacker, via a script on an external website. If the wiki is
   configured to allow user scripts, say with "$wgAllowUserJs = true" in
   LocalSettings.php, then the attacker can proceed to mount a
  phishing-style attack against the victim to obtain their password."

 -- Romain Beauxis <toots@rastageeks.org>  Fri, 16 Apr 2010 14:44:09 -0500

mediawiki (1:1.15.2-1) unstable; urgency=high

  * New upstream release.
  * Fixes security issue:
  "Two security issues were discovered:

   A CSS validation issue was discovered which allows editors to display
   external images in wiki pages. This is a privacy concern on public
   wikis, since a malicious user may link to an image on a server they
   control, which would allow that attacker to gather IP addresses and
   other information from users of the public wiki. All sites running
   publicly-editable MediaWiki installations are advised to upgrade. All
   versions of MediaWiki (prior to this one) are affected.

   A data leakage vulnerability was discovered in thumb.php which affects
   wikis which restrict access to private files using img_auth.php, or
   some similar scheme. All versions of MediaWiki since 1.5 are affected."
  * Updated standards.
  * Removed section about upgrading from mediawiki1.x packages
    in README.Debian since they do not exist in any supported distribution
    anymore.
  * Switched php5-gd and imagemagick in Suggests. Closes: #542008
  * Backported patch from revision 51083 to fix a bug with invalid titles.
  Closes: #537134
  * Backported patch from revision 61090 to add a unique guid per RSS
    feed element.
  Closes: #383130
  * Refreshed patches. 

 -- Romain Beauxis <toots@rastageeks.org>  Mon, 15 Mar 2010 11:41:07 -0500

mediawiki (1:1.15.1-1) unstable; urgency=low

  * New upstream release.
  * Ack previous NMU, thanks to Nico Golde for taking care
    of this. 

 -- Romain Beauxis <toots@rastageeks.org>  Sun, 09 Aug 2009 10:46:41 -0500

mediawiki (1:1.15.0-1.1) unstable; urgency=high

  * Non-maintainer upload by the Security Team.

