=== debian/rules ===
#!/usr/bin/make -f

MANPAGES := debian/texvc.1

include /usr/share/cdbs/1/rules/debhelper.mk

# In order to regenerate 'debian/control' :
#   DEB_AUTO_UPDATE_DEBIAN_CONTROL=yes fakeroot debian/rules clean
# Then check manually if everything's ok

DEB_DH_SHLIBDEPS_ARGS :=  -Xdebian/mediawiki-math/usr/bin/texvc.bc


build/mediawiki-math:: $(MANPAGES)
	if [ -x /usr/bin/ocamlopt ]; then\
		make -C math texvc;\
	else\
		make -C math texvc.bc;\
		mv math/texvc.bc math/texvc;\
	fi

%.1: %.xml
	xsltproc -nonet -o $@ /usr/share/sgml/docbook/stylesheet/xsl/nwalsh/manpages/docbook.xsl $<

binary-install/mediawiki::
	cp -rf $(CURDIR)/debian/etc/* $(CURDIR)/debian/mediawiki/etc/mediawiki
	chmod a+x debian/mediawiki/usr/share/mediawiki/maintenance/fetchInterwiki.pl
	chmod a+x debian/mediawiki/usr/share/mediawiki/maintenance/postgres/compare_schemas.pl
	chmod a+x debian/mediawiki/usr/share/mediawiki/maintenance/postgres/mediawiki_mysql2postgres.pl
	find debian/mediawiki/usr/share/mediawiki -maxdepth 1 -mindepth 1 | grep -v "\(LocalSettings.php\|AdminSettings.php\|debian-scripts\|images\|extensions\|config\)" | \
	while read i; do \
		dh_link "`echo "$$i" | sed -e s#debian/mediawiki/##`" \
		"`echo "$$i" | sed -e s#debian/mediawiki/usr/share/mediawiki/#var/lib/mediawiki/#`"; \
	done
	# Remove Makefiles
	find debian/mediawiki/ -iname makefile -exec rm {} \;
	# License added to copyright file:
	rm -f debian/mediawiki/usr/share/mediawiki/skins/common/images/icons/COPYING
	rm -f debian/mediawiki/usr/share/mediawiki/skins/common/images/cyrl/LICENSE
	rm -f debian/mediawiki/usr/share/mediawiki/skins/common/images/ksh/LICENSE
	# Put debian version for mediawiki version..
	sed -e "s#$(DEB_UPSTREAM_VERSION)#$(DEB_NOEPOCH_VERSION)#" \
			-i debian/mediawiki/usr/share/mediawiki/includes/DefaultSettings.php

binary-install/mediawiki-math::
	if [ -x /usr/bin/ocamlopt ]; then\
		echo "interpreter:Depends=" >> debian/mediawiki-math.substvars;\
	else\
		echo "interpreter:Depends=ocaml-base-nox" >> debian/mediawiki-math.substvars;\
	fi


binary-predeb/mediawiki::
	find debian/mediawiki -depth \( -name ".cvsignore" -o -name ".arch-ids" \) -exec rm -rf {} \;

binary-predeb/mediawiki-math::
	find debian/mediawiki-math -depth \( -name ".cvsignore" -o -name ".arch-ids" \) -exec rm -rf {} \;

clean::
	rm -f $(MANPAGES)
	[ ! -d math ] || make -C math clean
	debconf-updatepo
