=== debian/changelog ===
mediawiki (1:1.18.1-1) experimental; urgency=low

  * New upstream release (Closes: #613791, #619159, #550940, #460831)
  * Remove patches integrated upstream in this version
  * Standards version 3.9.2
  * Drop mediawiki-math binary package, it is no longer shipped upstream
  * Add sqlite3 to Recommends (Closes: #612212)
  * Use system copies of javascript libraries where available
  * Document upgrade procedure in debian/NEWS
  * Debconf translation to Danish (Closes: #627848)

 -- Jonathan Wiltshire <jmw@debian.org>  Sun, 15 Jan 2012 00:10:18 +0000

mediawiki (1:1.15.5-6) unstable; urgency=low

  [ Thorsten Glaser ]
  * debian/patches/khtml_not_ff9.patch: new (Closes: #652948)

  [ Jonathan Wiltshire ]
  * debian/patches/CVE-2012-0046.patch: security fix for unintended exposure
    of hidden content through cache pollution, CVE-2012-0046 (Closes: #655694)

 -- Jonathan Wiltshire <jmw@debian.org>  Fri, 13 Jan 2012 09:54:41 +0000

mediawiki (1:1.15.5-5) unstable; urgency=high

  * Security fixes from upstream:
    CVE-2011-1578 - XSS for IE <= 6
    CVE-2011-1579 - CSS validation error in wikitext parser
    CVE-2011-1580 - access control checks on transwiki import feature
    CVE-2011-1587 - fix incomplete patch for CVE-2011-1578

 -- Jonathan Wiltshire <jmw@debian.org>  Sun, 18 Dec 2011 23:48:18 +0000
