=== debian/control ===
Source: mediawiki
Section: web
Priority: optional
Maintainer: Mediawiki Maintenance Team <pkg-mediawiki-devel@lists.alioth.debian.org>
Uploaders: Romain Beauxis <toots@rastageeks.org>, Jonathan Wiltshire <jmw@debian.org>
Build-Depends: cdbs,
 debhelper,
 dh-buildinfo,
 debhelper (>= 7.0.1), ocaml-nox | ocaml, xsltproc, docbook-xml, docbook-xsl, po-debconf
Homepage: http://www.mediawiki.org/
Standards-Version: 3.9.2
Vcs-SVN: svn://svn.debian.org/svn/pkg-mediawiki/mediawiki/trunk/
Vcs-Browser: http://svn.debian.org/viewsvn/pkg-mediawiki/mediawiki/trunk/

Package: mediawiki
Architecture: all
Depends: apache2 | httpd, php5, php5-mysql | php5-pgsql | php5-sqlite, mime-support, libjs-jquery, libjs-jquery-tipsy, libjs-jquery-cookie, libjs-jquery-form, libjs-jquery-tablesorter, ${misc:Depends} 
Recommends: mysql-server | postgresql-contrib, php5-cli, python
Suggests: imagemagick | php5-gd, mediawiki-math, memcached, clamav
Description: website engine for collaborative work
 MediaWiki is a wiki engine (a program for creating a collaboratively
 edited website). It is designed to handle heavy websites containing
 library-like document collections, and supports user uploads of
 images/sounds, multilingual content, TOC autogeneration, ISBN links,
 etc.
 .
 Moreover, it keeps track of changes, so users can receive
 notifications, view diffs and revert edits. This system has many
 other features and can easily be extended.
