=== debian/rules ===
#!/usr/bin/make -f

MANPAGES := debian/texvc.1

include /usr/share/cdbs/1/rules/debhelper.mk

# In order to regenerate 'debian/control' :
#   DEB_AUTO_UPDATE_DEBIAN_CONTROL=yes fakeroot debian/rules clean
# Then check manually if everything's ok

%.1: %.xml
	xsltproc -nonet -o $@ /usr/share/sgml/docbook/stylesheet/xsl/nwalsh/manpages/docbook.xsl $<

binary-install/mediawiki::
	cp -rf $(CURDIR)/debian/etc/* $(CURDIR)/debian/mediawiki/etc/mediawiki
	chmod a+x debian/mediawiki/usr/share/mediawiki/maintenance/postgres/compare_schemas.pl
	chmod a+x debian/mediawiki/usr/share/mediawiki/maintenance/postgres/mediawiki_mysql2postgres.pl
	find debian/mediawiki/usr/share/mediawiki -maxdepth 1 -mindepth 1 | grep -v "\(LocalSettings.php\|AdminSettings.php\|debian-scripts\|images\|extensions\|config\)" | \
	while read i; do \
		dh_link "`echo "$$i" | sed -e s#debian/mediawiki/##`" \
		"`echo "$$i" | sed -e s#debian/mediawiki/usr/share/mediawiki/#var/lib/mediawiki/#`"; \
	done
	# Use system javascript libraries
	rm debian/mediawiki/usr/share/mediawiki/resources/jquery/jquery.js
	rm debian/mediawiki/usr/share/mediawiki/resources/jquery.tipsy/jquery.tipsy.js
	dh_link usr/share/javascript/jquery/jquery.min.js usr/share/mediawiki/resources/jquery/jquery.js
	dh_link usr/share/javascript/jquery-tipsy/jquery.tipsy.min.js usr/share/mediawiki/resources/jquery.tipsy/jquery.tipsy.js; \
	for lib in cookie form tablesorter; do \
		rm debian/mediawiki/usr/share/mediawiki/resources/jquery/jquery.$$lib.js; \
		dh_link usr/share/javascript/jquery-$$lib/jquery.$$lib.min.js usr/share/mediawiki/resources/jquery/jquery.$$lib.js; \
		echo $$lib; \
	done
	# Remove Makefiles
	find debian/mediawiki/ -iname makefile -exec rm {} \;
	# License added to copyright file:
	rm -f debian/mediawiki/usr/share/mediawiki/skins/common/images/icons/COPYING
	rm -f debian/mediawiki/usr/share/mediawiki/skins/common/images/cyrl/LICENSE
	rm -f debian/mediawiki/usr/share/mediawiki/skins/common/images/ksh/LICENSE
	rm -f debian/mediawiki/usr/share/mediawiki/maintenance/cssjanus/COPYING
	rm -f debian/mediawiki/usr/share/mediawiki/maintenance/cssjanus/LICENSE
	rm -f debian/mediawiki/var/lib/mediawiki/extensions/ParserFunctions/COPYING
	# Put debian version for mediawiki version..
	sed -e "s#$(DEB_UPSTREAM_VERSION)#$(DEB_NOEPOCH_VERSION)#" \
			-i debian/mediawiki/usr/share/mediawiki/includes/DefaultSettings.php

binary-predeb/mediawiki::
	find debian/mediawiki -depth \( -name ".cvsignore" -o -name ".arch-ids" \) -exec rm -rf {} \;

clean::
	rm -f $(MANPAGES)
	debconf-updatepo
