## mediawiki 1.19.1

=== debian/changelog ===
mediawiki (1:1.19.1-1) unstable; urgency=low

  * New upstream bug fix release
    Closes: #672818, 677895 (CVE-2012-2698)
    - debian/rules: remove all .gitignore files too, since upstream
      switched to git VCS
  * Remove last traces of mediaiki-math binary package
  * Remove CDBS logic and dependencies and use dh
    auto-sequencer instead
  * Depend on debhelper >=9 and use compat level 9; this
    stops dh_pysupport adding files to the build
  * Do not run update debconf translations on clean 
  * Disable patch texvc_location.patch; this really belongs in mediawiki-math
    now and especially considering <1632437115.20120612191230@gmail.com>
  * Add a versioned Breaks on fusionforge-plugin-mediawiki
  * Upload to unstable

 -- Jonathan Wiltshire <jmw@debian.org>  Mon, 18 Jun 2012 15:25:25 +0100

mediawiki (1:1.19.0-1) experimental; urgency=low

  * New upstream release
  * Standards version 3.9.3 (no changes)
  * Update debian/NEWS version

 -- Jonathan Wiltshire <jmw@debian.org>  Mon, 04 Jun 2012 20:14:14 +0100

mediawiki (1:1.15.5-10) unstable; urgency=low

  * Team upload.
  * Apply SQL fix for schema search paths by Roland Mas (#673125)

 -- Thorsten Glaser <tg@mirbsd.de>  Wed, 30 May 2012 16:50:36 +0200

mediawiki (1:1.15.5-9) unstable; urgency=high

  * Team upload.
  * Address MW security release 1.18.1-1 (Closes: #666269)
    - CVE-2012-1578 MW#34212: doesn’t affect 1.15
    - CVE-2012-1579 MW#34907: doesn’t affect 1.15
    - CVE-2012-1580 MW#35317: doesn’t affect 1.15
    - CVE-2012-1581 MW#35078: fix backported
    - CVE-2012-1582 MW#35315: fix backported
  * Apply some lintian cleanup

 -- Thorsten Glaser <tg@mirbsd.de>  Wed, 16 May 2012 15:01:06 +0200

mediawiki (1:1.15.5-8) unstable; urgency=low

  * Fix reversing IPv4 address for SORBS blacklist; patch from
    Nye Liu <nyet@nyet.org> (Closes: #658672)
  * Backport a method called by CVE-2011-1580.patch (Closes: #658682)
  * Fix warnings issued by PHP 5.4 (Closes: #661682)
  * Suggest librsvg-bin (Closes: #644731)
  * Demote database server to Suggests (Closes: #617561)
  * Add dansk translation (Closes: #627848)

 -- Thorsten Glaser <tg@mirbsd.de>  Thu, 15 Mar 2012 12:52:09 +0100

mediawiki (1:1.15.5-7) unstable; urgency=high

  * debian/patches/CVE-2011-4360.patch: remove – the information
    disclosure does not happen on 1.15 and the patch would not
    work anyway because the OutputPage object has no setTitle
    method (this prevents a PHP fatal error when someone has no
    permissions, instead reverting to the pre-1:1.15.5-4 behaviour
    of showing a page asking the user to log in)

 -- Thorsten Glaser <tg@mirbsd.de>  Fri, 20 Jan 2012 17:13:28 +0100
