=== debian/control ===
--- 
+++ 
@@ -3,12 +3,11 @@
 Priority: optional
 Maintainer: Mediawiki Maintenance Team <pkg-mediawiki-devel@lists.alioth.debian.org>
 Uploaders: Romain Beauxis <toots@rastageeks.org>, Jonathan Wiltshire <jmw@debian.org>
-Build-Depends: cdbs,
- debhelper,
+Build-Depends: debhelper (>= 9),
  dh-buildinfo,
- debhelper (>= 7.0.1), ocaml-nox | ocaml, xsltproc, docbook-xml, docbook-xsl, po-debconf
+ ocaml-nox | ocaml, xsltproc, docbook-xml, docbook-xsl, po-debconf
 Homepage: http://www.mediawiki.org/
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Vcs-SVN: svn://svn.debian.org/svn/pkg-mediawiki/mediawiki/trunk/
 Vcs-Browser: http://svn.debian.org/viewsvn/pkg-mediawiki/mediawiki/trunk/
 
@@ -17,6 +16,7 @@
 Depends: apache2 | httpd, php5, php5-mysql | php5-pgsql | php5-sqlite, mime-support, libjs-jquery, libjs-jquery-tipsy, libjs-jquery-cookie, libjs-jquery-form, libjs-jquery-tablesorter, ${misc:Depends} 
 Recommends: mysql-server | postgresql-contrib, php5-cli, python
 Suggests: imagemagick | php5-gd, mediawiki-math, memcached, clamav
+Breaks: fusionforge-plugin-mediawiki (<< 5.2~rc1-4~)
 Description: website engine for collaborative work
  MediaWiki is a wiki engine (a program for creating a collaboratively
  edited website). It is designed to handle heavy websites containing
